Bug 1564528 - clementine: symbol lookup error: clementine: undefined symbol: _ZN8CryptoPP16IteratedHashBaseIyNS_18HashTransformationEE6UpdateEPKhm
Summary: clementine: symbol lookup error: clementine: undefined symbol: _ZN8CryptoPP16...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clementine
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 14:16 UTC by Steven Haigh
Modified: 2018-05-07 13:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1566807 (view as bug list)
Environment:
Last Closed: 2018-05-07 13:21:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Steven Haigh 2018-04-06 14:16:42 UTC
Installed Packages
Name         : clementine
Version      : 1.3.1
Release      : 21.fc28
Arch         : x86_64

Fails to launch with the following error:

$ clementine
clementine: symbol lookup error: clementine: undefined symbol: _ZN8CryptoPP16IteratedHashBaseIyNS_18HashTransformationEE6UpdateEPKhm

Comment 1 Rex Dieter 2018-04-10 14:53:27 UTC
Need to pull in (at least) this upstream fix,
https://github.com/clementine-player/Clementine/commit/38c1f8777cecc7b2f91fecbcc48c41479839304b

Comment 2 Orcan Ogetbil 2018-04-11 04:07:57 UTC
Thanks Rex, that seems the fix the build issue. Just fired a new build.

https://koji.fedoraproject.org/koji/taskinfo?taskID=26298896
https://koji.fedoraproject.org/koji/taskinfo?taskID=26298910

Comment 3 Steven Haigh 2018-04-11 04:12:42 UTC
Yep - can confirm that this fixes the issue for F28.

Comment 4 Steven Haigh 2018-04-11 06:00:33 UTC
When looking further, this seems to expose another issue when playing:

/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>; std::vector<_Tp, _Alloc>::reference = float&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
Aborted (core dumped)

I've tried this with both a downloaded MP3 / podcast, as well as a Library sourced MP3.

Comment 5 Orcan Ogetbil 2018-04-11 11:09:06 UTC
How do we reproduce this? Just play and wait?
Is there a way to get a fuller backtrace? The above snippet shows that some assertion failed in the standard c++ library (which may or may not be the fault of the standard c++ library).

Comment 6 Steven Haigh 2018-04-11 11:10:42 UTC
I'm not sure about the how to get more of a backtrace - however I caused the crash by playing any MP3. It plays a fraction of a second, then exits.

Comment 7 Orcan Ogetbil 2018-04-11 21:57:41 UTC
First, as root
    dnf debuginfo-install clementine
Also install the debugger as root if it's not present
    dnf install gdb
Then run, as regular user
    gdb
Inside gdb prompt, run clementine
    r /usr/bin/clementine
After the crash, in gdb prompt, get the backtrace via
    bt full

Comment 8 Orcan Ogetbil 2018-04-11 22:01:17 UTC
Or run clementine directly with gdb
    gdb /usr/bin/clementine
Inside gdb prompt, start the program
    r
Follow the instruction above to get the backtrace

Comment 9 Steven Haigh 2018-04-11 22:50:34 UTC
Ok, I think this is right. I had to install the debuginfo/debugsource from the koji link, but that's ok...

(gdb) bt full
#0  0x00007fffefe19f4b in raise () at /lib64/libc.so.6
#1  0x00007fffefe04591 in abort () at /lib64/libc.so.6
#2  0x0000555555a21ce8 in std::__replacement_assert(char const*, int, char const*, char const*) (__file=__file@entry=0x555556491a28 "/usr/include/c++/8/bits/stl_vector.h", __line=__line@entry=932, __function=__function@entry=0x5555564b4d40 <_ZZNSt6vectorIfSaIfEEixEmE19__PRETTY_FUNCTION__> "std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>; std::vector<_Tp, _Alloc>::reference = f"..., __condition=__condition@entry=0x5555564919f8 "__builtin_expect(__n < this->size(), true)") at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
#3  0x0000555555c32fef in std::vector<float, std::allocator<float> >::operator[](unsigned long) (__n=<optimized out>, this=0x5555572d0790) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/analyzers/analyzerbase.cpp:119
        __PRETTY_FUNCTION__ = "std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>; std::vector<_Tp, _Alloc>::reference = f"...
        x = <optimized out>
        i = <optimized out>
        p = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7ffff26f8120 "QPainter", data = 0x7ffff26f81c0, extradata = 0x0}}, d_ptr = {d = 0x555557c2b780}}
#4  0x0000555555c32fef in Analyzer::Base::paintEvent(QPaintEvent*) (this=0x5555572d0750, e=0x7fffffffbb00) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/analyzers/analyzerbase.cpp:112
        x = <optimized out>
        i = <optimized out>
        p = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7ffff26f8120 "QPainter", data = 0x7ffff26f81c0, extradata = 0x0}}, d_ptr = {d = 0x555557c2b780}}
#5  0x00007ffff207e228 in QWidget::event(QEvent*) () at /lib64/libQtGui.so.4
#6  0x00007ffff2029410 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#7  0x00007ffff202ff82 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#8  0x00007ffff51d4f6f in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib64/libQtCore.so.4
#9  0x00007ffff20787f3 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#10 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#11 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#12 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#13 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#14 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#15 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#16 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#17 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#18 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#19 0x00007ffff20792d3 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#20 0x00007ffff20792d3 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#21 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#22 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#23 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#24 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#25 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#26 0x00007ffff22399d8 in QWidgetBackingStore::sync() () at /lib64/libQtGui.so.4
#27 0x00007ffff206c3b0 in QWidgetPrivate::syncBackingStore() () at /lib64/libQtGui.so.4
#28 0x00007ffff207e938 in QWidget::event(QEvent*) () at /lib64/libQtGui.so.4
#29 0x00007ffff243535b in QMainWindow::event(QEvent*) () at /lib64/libQtGui.so.4
#30 0x00007ffff2029410 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#31 0x00007ffff202ff82 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#32 0x00007ffff51d4f6f in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib64/libQtCore.so.4
#33 0x00007ffff51d7b85 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib64/libQtCore.so.4
#34 0x00007ffff5202edd in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQtCore.so.4
#35 0x00007ffff44487dd in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#36 0x00007ffff4448ba8 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#37 0x00007ffff4448c40 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#38 0x00007ffff5203039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#39 0x00007ffff20cccdb in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtGui.so.4
#40 0x00007ffff51d3723 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#41 0x00007ffff51d39fe in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#42 0x00007ffff51d8f3e in QCoreApplication::exec() () at /lib64/libQtCore.so.4
#43 0x0000555555857b7a in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/main.cpp:487
        crash_reporting = {static kSendCrashReportOption = 0x555555d16628 "--send-crash-report", static sPath = 0x0, handler_ = std::unique_ptr<google_breakpad::ExceptionHandler> = {get() = 0x0}}
        options = 
              {static kHelpText = 0x555555d16058 "%1: clementine [%2] [%3]\n\n%4:\n  -p, --play", ' ' <repeats 16 times>, "%5\n  -t, --play-pause          %6\n  -u, --pause", ' ' <repeats 15 times>, "%7\n  -s, --stop", ' ' <repeats 16 times>, "%8\n  -r, --previous", ' ' <repeats 12 times>, "%9\n  -f, --next   "..., static kVersionText = 0x555555d15d89 "Clementine %1", argc_ = 1, argv_ = 0x7fffffffde48, url_list_action_ = CommandlineOptions::UrlList_None, player_action_ = CommandlineOptions::Player_None, set_volume_ = -1, volume_modifier_ = 0, seek_to_ = -1, seek_by_ = 0, play_track_at_ = -1, show_osd_ = false, toggle_pretty_osd_ = false, language_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556857ba0 <QString::shared_null>, static---Type <return> to continue, or q <return> to quit---
 codecForCStrings = 0x0}, log_levels_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x5555568a6590, static codecForCStrings = 0x0}, urls_ = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x5555568578c0 <QListData::shared_null>}, d = 0x5555568578c0 <QListData::shared_null>}}}
        t = <optimized out>
        a = <incomplete type>
        override_language = 
          {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556a8f1e0, static codecForCStrings = 0x0}
        language = 
          {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556a90600, static codecForCStrings = 0x0}
        app = 
              {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x55555681d020 <QObject::staticMetaObject>, stringdata = 0x555555d30360 <qt_meta_stringdata_Application> "Application", data = 0x555555d30440 <qt_meta_data_Application>, extradata = 0x5555568193d0 <Application::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x555555a988f0 <Application::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static kIsPortable = false, language_name_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556a90600, static codecForCStrings = 0x0}, tag_reader_client_ = 0x5555569d3470, database_ = 0x5555569a1e90, album_cover_loader_ = 0x555556bc9080, playlist_backend_ = 0x555556a8fef0, podcast_backend_ = 0x555556b751f0, appearance_ = 0x5555569a1f90, cover_providers_ = 0x555556bca280, task_manager_ = 0x555556bca200, player_ = 0x555556bca000, playlist_manager_ = 0x555556bcc8b0, current_art_loader_ = 0x555556bb0bc0, global_search_ = 0x555556bafc00, internet_model_ = 0x55555695ee00, library_ = 0x555556d1ba60, device_manager_ = 0x555556c60450, podcast_updater_ = 0x555556c7c8d0, podcast_deleter_ = 0x555556d21350, podcast_downloader_ = 0x555556bc9c60, gpodder_sync_ = 0x555556ccf540, moodbar_loader_ = 0x555556e6a3a0, moodbar_controller_ = 0x555556e68e10, network_remote_ = 0x555556e6b250, network_remote_helper_ = 0x555556e68d60, scrobbler_ = 0x555556c882d0, objects_in_threads_ = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x555556e61ba0}, d = 0x555556e61ba0}}, threads_ = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x555556e6b540}, d = 0x555556e6b540}}}
        hack =
          {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x55555681d020 <QObject::staticMetaObject>, stringdata = 0x555555d471a0 <qt_meta_stringdata_UbuntuUnityHack> "UbuntuUnityHack", data = 0x555555d471e0 <qt_meta_data_UbuntuUnityHack>, extradata = 0x55555681a100 <UbuntuUnityHack::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x555555abd860 <UbuntuUnityHack::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static kGSettingsFileName = 0x555555d30321 "gsettings", static kUnityPanel = 0x555555d30307 "com.canonical.Unity.Panel", static kUnitySystrayWhitelist = 0x555555d302f5 "systray-whitelist"}
        tray_icon = std::unique_ptr<SystemTrayIcon> = {get() = 0x555556c50100}
        osd =
              {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x55555681d020 <QObject::staticMetaObject>, stringdata = 0x555555d40fc0 <qt_meta_stringdata_OSD> "OSD", data = 0x555555d41240 <qt_meta_data_OSD>, extradata = 0x555556819cb0 <OSD::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x555555ab3a00 <OSD::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static kSettingsGroup = 0x555555d2bac4 "OSD", tray_icon_ = 0x555556c50100, app_ = 0x7fffffffda00, timeout_msec_ = 5000, behaviour_ = OSD::Native, show_on_volume_change_ = false, show_art_ = true, show_on_play_mode_change_ = true, show_on_pause_ = true, use_custom_text_ = false, custom_text1_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556e88b90, static codecForCStrings = 0x0}, custom_text2_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555556e88cd0, static codecForCStrings = 0x0}, preview_mode_ = false, force_show_next_ = false, ignore_next_stopped_ = false, pretty_popup_ = 0x555556c85910, last_song_ = {static kColumns = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x55555689dc20}, d = 0x55555689dc20}}, <No data fields>}, static kColumnSpec = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x5555568a1a30, static codecForCStrings = 0x0}, static kBindSpec = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x55555689cde0, static codecForCStrings = 0x0}, static kUpdateSpec = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x55555689fc00, static codecForCStrings = 0x0}, static kFtsColumns = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x55555689d940}, d = 0x55555689d940}}, <No data fields>}, static kFtsColumnSpec = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x55555689b220, static codecForCStrings = 0x0}, static kFtsBindSpec = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x55555688d120, static codecForCStrings = 0x0}, static kFtsUpdateSpec = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x55555689f9c0, static codecForCStrings = 0x0}, static kManuallyUnsetCover = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x5555568a3540, static codecForCStrings = 0x0}, static kEmbeddedCover = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x5555568a2710, static codecForCStrings = 0x0}, d = {d = 0x555557c2e160}}, last_image_uri_ = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 110910}, alloc = 0, size = 0, data = 0x555556857bba <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 12378}, alloc = 0, size = 0, data = 0x7ffff554a19a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x555557c28790, static codecForCStrings = 0x0}, last_image_ = <incomplete type>, interface_ = std::unique_ptr<OrgFreedesktopNotificationsInterface> = {get() = 0x555556e9f0e0}, notification_id_ = 6, last_notification_time_ = {d = {d = 0x555557f3fa20}}}
        mpris =
          {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x55555681d020 <QObject::staticMetaObject>, stringdata = 0x555555d42960 <qt_meta_stringdata_mpris__Mpris> "mpris::Mpris", data = 0x555555d429a0 <qt_meta_data_mpris__Mpris>, extradata = 0x555556819e10 <mpris::Mpris::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x555555ab6460 <mpris::Mpris::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, mpris1_ = 0x555556d09f10, mpris2_ = 0x555556f85560}

        w =
---Type <return> to continue, or q <return> to quit---
          {<QMainWindow> = {<No data fields>}, <PlatformInterface> = {_vptr.PlatformInterface = 0x5555568283e8 <vtable for MainWindow+544>}, static staticMetaObject = {d = {superdata = 0x7ffff2b3c860 <QMainWindow::staticMetaObject>, stringdata = 0x555555d3da20 <qt_meta_stringdata_MainWindow> "MainWindow", data = 0x555555d3e460 <qt_meta_data_MainWindow>, extradata = 0x555556819b30 <MainWindow::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x555555aaea70 <MainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static kSettingsGroup = 0x555555d24cb5 "MainWindow", static kAllFilesFilterSpec = 0x555555d26a9e "All Files (*)", ui_ = 0x555556e80bf0, thumbbar_ = 0x55555708f0f0, app_ = 0x7fffffffda00, tray_icon_ = 0x555556c50100, osd_ = 0x7fffffffd970, edit_tag_dialog_ = std::unique_ptr<EditTagDialog> = {get() = 0x0}, about_dialog_ = std::unique_ptr<About> = {get() = 0x0}, global_shortcuts_ = 0x5555570d7230, remote_ = 0x0, global_search_view_ = 0x555556c33560, library_view_ = 0x55555711fd40, file_view_ = 0x55555716f4a0, rip_cd_dialog_ = std::unique_ptr<RipCDDialog> = {get() = 0x0}, playlist_list_ = 0x555557184fd0, internet_view_ = 0x555557195ac0, device_view_container_ = 0x5555571a2c00, device_view_ = 0x5555571a45b0, song_info_view_ = 0x55555721cee0, artist_info_view_ = 0x555557224c20, settings_dialog_ = std::unique_ptr<SettingsDialog> = {get() = 0x0}, add_stream_dialog_ = std::unique_ptr<AddStreamDialog> = {get() = 0x0}, cover_manager_ = std::unique_ptr<AlbumCoverManager> = {get() = 0x0}, equalizer_ = std::unique_ptr<Equalizer> = {get() = 0x555557236060}, transcode_dialog_ = std::unique_ptr<TranscodeDialog> = {get() = 0x0}, error_dialog_ = std::unique_ptr<ErrorDialog> = {get() = 0x0}, organise_dialog_ = std::unique_ptr<OrganiseDialog> = {get() = 0x55555729b400}, queue_manager_ = std::unique_ptr<QueueManager> = {get() = 0x0}, tag_fetcher_ = std::unique_ptr<TagFetcher> = {get() = 0x0}, track_selection_dialog_ = std::unique_ptr<TrackSelectionDialog> = {get() = 0x0}, autocomplete_tag_items_ = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x5555568578c0 <QListData::shared_null>}, d = 0x5555568578c0 <QListData::shared_null>}}, visualisation_ = std::unique_ptr<VisualisationContainer> = {get() = 0x0}, wiimotedev_shortcuts_ = std::unique_ptr<WiimotedevShortcuts> = {get() = 0x5555579ac560}, library_show_all_ = 0x5555576b4960, library_show_duplicates_ = 0x555557698700, library_show_untagged_ = 0x555557698620, playlist_menu_ = 0x55555727cda0, playlist_play_pause_ = 0x5555576ece00, playlist_stop_after_ = 0x555557465690, playlist_undoredo_ = 0x5555576a9ed0, playlist_organise_ = 0x5555576ecbe0, playlist_show_in_library_ = 0x555556bca230, playlist_copy_to_library_ = 0x55555769b5f0, playlist_move_to_library_ = 0x55555769ca00, playlist_copy_to_device_ = 0x5555576ed1e0, playlist_delete_ = 0x5555574ac890, playlist_open_in_browser_ = 0x5555574ac420, playlist_queue_ = 0x5555574735a0, playlist_skip_ = 0x55555769b1f0, playlist_add_to_another_ = 0x0, playlistitem_actions_ = {{p = {static shared_null = {ref = {_q_value = 14468}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x5555568578c0 <QListData::shared_null>}, d = 0x5555568578c0 <QListData::shared_null>}}, playlistitem_actions_separator_ = 0x5555577d3840, playlist_menu_index_ = {r = -1, c = -1, p = 0x0, m = 0x0}, library_sort_model_ = 0x555556e615a0, track_position_timer_ = 0x555557290910, track_slider_timer_ = 0x55555727c960, settings_ = <incomplete type>, was_maximized_ = true, saved_playback_position_ = 0, saved_playback_state_ = Engine::Empty, doubleclick_addmode_ = MainWindow::AddBehaviour_Append, doubleclick_playmode_ = MainWindow::PlayBehaviour_IfStopped, doubleclick_playlist_addmode_ = MainWindow::PlaylistAddBehaviour_Play, menu_playmode_ = MainWindow::PlayBehaviour_IfStopped, background_streams_ = 0x555557465620}
        ret = <optimized out>
        self_maps = <incomplete type>
#44 0x00007fffefe061bb in __libc_start_main () at /lib64/libc.so.6
#45 0x000055555585f92a in _start () at /usr/include/QtCore/qstring.h:880

Comment 10 Steven Haigh 2018-04-11 22:56:23 UTC
... and without the full - in case its easier to read:

(gdb) backtrace
#0  0x00007fffefe19f4b in raise () at /lib64/libc.so.6
#1  0x00007fffefe04591 in abort () at /lib64/libc.so.6
#2  0x0000555555a21ce8 in std::__replacement_assert(char const*, int, char const*, char const*) (__file=__file@entry=0x555556491a28 "/usr/include/c++/8/bits/stl_vector.h", __line=__line@entry=932, __function=__function@entry=0x5555564b4d40 <_ZZNSt6vectorIfSaIfEEixEmE19__PRETTY_FUNCTION__> "std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>; std::vector<_Tp, _Alloc>::reference = f"..., __condition=__condition@entry=0x5555564919f8 "__builtin_expect(__n < this->size(), true)") at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
#3  0x0000555555c32fef in std::vector<float, std::allocator<float> >::operator[](unsigned long) (__n=<optimized out>, this=0x555556d08270) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/analyzers/analyzerbase.cpp:119
#4  0x0000555555c32fef in Analyzer::Base::paintEvent(QPaintEvent*) (this=0x555556d08230, e=0x7fffffffbb00) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/analyzers/analyzerbase.cpp:112
#5  0x00007ffff207e228 in QWidget::event(QEvent*) () at /lib64/libQtGui.so.4
#6  0x00007ffff2029410 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#7  0x00007ffff202ff82 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#8  0x00007ffff51d4f6f in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib64/libQtCore.so.4
#9  0x00007ffff20787f3 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#10 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#11 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#12 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#13 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#14 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#15 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#16 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#17 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#18 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#19 0x00007ffff20792d3 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#20 0x00007ffff20792d3 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#21 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#22 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#23 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#24 0x00007ffff2079432 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#25 0x00007ffff20784fd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /lib64/libQtGui.so.4
#26 0x00007ffff22399d8 in QWidgetBackingStore::sync() () at /lib64/libQtGui.so.4
#27 0x00007ffff206c3b0 in QWidgetPrivate::syncBackingStore() () at /lib64/libQtGui.so.4
#28 0x00007ffff207e938 in QWidget::event(QEvent*) () at /lib64/libQtGui.so.4
#29 0x00007ffff243535b in QMainWindow::event(QEvent*) () at /lib64/libQtGui.so.4
#30 0x00007ffff2029410 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#31 0x00007ffff202ff82 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQtGui.so.4
#32 0x00007ffff51d4f6f in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib64/libQtCore.so.4
#33 0x00007ffff51d7b85 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib64/libQtCore.so.4
#34 0x00007ffff5202edd in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQtCore.so.4
#35 0x00007ffff44487dd in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#36 0x00007ffff4448ba8 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#37 0x00007ffff4448c40 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#38 0x00007ffff5203039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#39 0x00007ffff20cccdb in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtGui.so.4
#40 0x00007ffff51d3723 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#41 0x00007ffff51d39fe in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQtCore.so.4
#42 0x00007ffff51d8f3e in QCoreApplication::exec() () at /lib64/libQtCore.so.4
#43 0x0000555555857b7a in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/clementine-1.3.1-23.fc28.x86_64/src/main.cpp:487
#44 0x00007fffefe061bb in __libc_start_main () at /lib64/libc.so.6
#45 0x000055555585f92a in _start () at /usr/include/QtCore/qstring.h:880

Comment 11 Orcan Ogetbil 2018-04-13 01:58:26 UTC
The backtrace does not show anything related to cryptopp, so the update is good, I think.

Regarding the last crash, I cannot tell just from the backtrace what is malfunctioning. I need to sit down and debug properly. Unfortunately I cannot reproduce the crash.

What desktop environment are you using? Can you try Rex' workarounds from
https://bugzilla.redhat.com/show_bug.cgi?id=1517748#c4
? Maybe it is related to system tray icon.

Comment 12 Fedora Update System 2018-04-13 02:00:36 UTC
clementine-1.3.1-23.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf683e8cd0

Comment 13 Steven Haigh 2018-04-13 02:09:43 UTC
Do you have the visualisations turned on? I'm wondering if the QPainter references are for the visualisation.

If I set the visualisation to "No visualisation", I can play things fine. Any other setting seems to cause the crash.

Technically, I guess this should be another bug report - but I'm not sure its worth it...

Comment 14 Orcan Ogetbil 2018-04-13 02:31:58 UTC
I tried with the visualizations turned on. Played an MP3. It just works fine for me. And yes, this warrant another bug report, yet I am just not sure at this point how to address it.

Comment 15 Steven Haigh 2018-04-13 02:58:50 UTC
Have cloned & edited the visualisations bug under #1566807

I'm happy to close this one re the crypto library as resolved.

Comment 16 Orcan Ogetbil 2018-04-13 03:12:00 UTC
Thanks, let's do it through the proper channel (i.e. via karma on the bodhi links above). I think the bodhi will close this automatically once the package hits the stable repo.

Comment 17 Fedora Update System 2018-04-15 02:24:40 UTC
clementine-1.3.1-23.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf683e8cd0

Comment 18 Fedora Update System 2018-04-29 11:27:40 UTC
clementine-1.3.1-23.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Louis Abel 2018-05-02 16:25:55 UTC
The new update is causing the same or similar issues attempting to play any MP3 or podcast.

[nazu@diurne 09:20 AM ~]$ clementine
09:21:20.504 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile 
09:21:21.349 WARN  unknown                          QPainter::begin: Paint device returned engine == 0, type: 2 
09:21:21.456 WARN  unknown                          "sni-qt/6977" WARN  09:21:21.456 void StatusNotifierItemFactory::connectToSnw() Invalid interface to SNW_SERVICE  
09:21:21.480 WARN  unknown                          Object::connect: No such signal QtSingleApplication::messageReceived(QByteArray) 
09:21:21.481 WARN  unknown                          Object::connect:  (sender name:   'clementine') 
09:21:21.481 WARN  unknown                          Object::connect:  (receiver name: 'MainWindow') 
09:21:21.678 ERROR unknown                          JSonScanner::yylex - error while reading from io device  
09:21:21.678 ERROR unknown                          json_parser - syntax error found,  forcing abort, Line 1 Column 1  
/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>; std::vector<_Tp, _Alloc>::reference = float&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
Aborted (core dumped)

Comment 20 Steven Haigh 2018-05-02 17:09:57 UTC
That is a different bug. You're looking for this one:
https://bugzilla.redhat.com/show_bug.cgi?id=1566807

Comment 21 Cristian 2018-05-03 01:22:12 UTC
(In reply to Louis Abel from comment #19)
> The new update is causing the same or similar issues attempting to play any
> MP3 or podcast.
> 
> [nazu@diurne 09:20 AM ~]$ clementine
> 09:21:20.504 WARN  unknown                          libpng warning: iCCP:
> known incorrect sRGB profile 
> 09:21:21.349 WARN  unknown                          QPainter::begin: Paint
> device returned engine == 0, type: 2 
> 09:21:21.456 WARN  unknown                          "sni-qt/6977" WARN 
> 09:21:21.456 void StatusNotifierItemFactory::connectToSnw() Invalid
> interface to SNW_SERVICE  
> 09:21:21.480 WARN  unknown                          Object::connect: No such
> signal QtSingleApplication::messageReceived(QByteArray) 
> 09:21:21.481 WARN  unknown                          Object::connect: 
> (sender name:   'clementine') 
> 09:21:21.481 WARN  unknown                          Object::connect: 
> (receiver name: 'MainWindow') 
> 09:21:21.678 ERROR unknown                          JSonScanner::yylex -
> error while reading from io device  
> 09:21:21.678 ERROR unknown                          json_parser - syntax
> error found,  forcing abort, Line 1 Column 1  
> /usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp,
> _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp,
> _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>;
> std::vector<_Tp, _Alloc>::reference = float&; std::vector<_Tp,
> _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n <
> this->size(), true)' failed.
> Aborted (core dumped)

To "Fix" this, Right click on the "Visualizatons" and choose "No analizer".

Comment 22 Jose Mantilla 2018-05-07 13:06:55 UTC
(In reply to Cristian from comment #21)
> (In reply to Louis Abel from comment #19)
> > The new update is causing the same or similar issues attempting to play any
> > MP3 or podcast.
> > 09:21:21.678 ERROR unknown                          json_parser - syntax
> > error found,  forcing abort, Line 1 Column 1  
> > /usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp,
> > _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp,
> > _Alloc>::size_type) [with _Tp = float; _Alloc = std::allocator<float>;
> > std::vector<_Tp, _Alloc>::reference = float&; std::vector<_Tp,
> > _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n <
> > this->size(), true)' failed.
> > Aborted (core dumped)
> 
> To "Fix" this, Right click on the "Visualizatons" and choose "No analizer".

Thanks it works for me!

Comment 23 Orcan Ogetbil 2018-05-07 13:21:32 UTC
1.3.1-23 is now in stable. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.